MONGOC_URI_GET_HOSTS(3)

NAME
mongoc_uri_get_hosts - mongoc_uri_get_hosts()

SYNOPSIS

const mongoc_host_list_t *
mongoc_uri_get_hosts (const mongoc_uri_t *uri);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Fetches a linked list of hosts that were defined in the URI (the comma-separated host section).

RETURNS

A linked list of mongoc_host_list_t structures that should not be modified or freed. Returns NULL if this URI's scheme is "mongodb+srv://".

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc